package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * SSID list with MAC-Based authentication configured
 */
@ApiModel(description = "SSID list with MAC-Based authentication configured")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SsidSimpleOpenApiVo   {
  @JsonProperty("ssidId")
  private String ssidId;

  @JsonProperty("ssidName")
  private String ssidName;

  public SsidSimpleOpenApiVo ssidId(String ssidId) {
    this.ssidId = ssidId;
    return this;
  }

  /**
   * This field represents SSID ID. SSID can be created using 'Create new SSID' ('Create new SSID template') interface, and SSID ID can be obtained from 'Get SSID list' ('Get SSID template list') interface
   * @return ssidId
  */
  @ApiModelProperty(value = "This field represents SSID ID. SSID can be created using 'Create new SSID' ('Create new SSID template') interface, and SSID ID can be obtained from 'Get SSID list' ('Get SSID template list') interface")


  public String getSsidId() {
    return ssidId;
  }

  public void setSsidId(String ssidId) {
    this.ssidId = ssidId;
  }

  public SsidSimpleOpenApiVo ssidName(String ssidName) {
    this.ssidName = ssidName;
    return this;
  }

  /**
   * This field represents SSID name
   * @return ssidName
  */
  @ApiModelProperty(value = "This field represents SSID name")


  public String getSsidName() {
    return ssidName;
  }

  public void setSsidName(String ssidName) {
    this.ssidName = ssidName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SsidSimpleOpenApiVo ssidSimpleOpenApiVo = (SsidSimpleOpenApiVo) o;
    return Objects.equals(this.ssidId, ssidSimpleOpenApiVo.ssidId) &&
        Objects.equals(this.ssidName, ssidSimpleOpenApiVo.ssidName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ssidId, ssidName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SsidSimpleOpenApiVo {\n");
    
    sb.append("    ssidId: ").append(toIndentedString(ssidId)).append("\n");
    sb.append("    ssidName: ").append(toIndentedString(ssidName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

